### Method

# FwupdPlugin Efivars get_boot_current

#### Declaration [src]

    gboolean
    fu_efivars_get_boot_current (
      FuEfivars* self,
      guint16* idx,
      GError** error
    )

#### Description [src]

Gets the index of the `BootCurrent` variable.

Available since: | 2.0.0

#### Parameters

`idx` | `guint16*`
| Boot index, typically 0x0001
| The argument will be set by the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` on success.